Merge ia32-libs 20090808 (universe) from Debian unstable (main)

Bug #618666 reported by Stefano Rivera on 2010-08-16
26
This bug affects 4 people
Affects Status Importance Assigned to Milestone
ia32-libs (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: ia32-libs

I intend to merge ia32-libs 20090808 (universe) from Debian unstable (main), which will (among other things) reenable libstdc++5 and close LP: #574476, LP: #431091. Please grant me an FFe to do so.

Testing done: Installed, ran skype and a bunch of win32 programs through wine. No issues, but not particularly wide testing either.

I had intended to do this before Feature Freeze, but it's an enormous package and I got distracted...

New changelog entries:

ia32-libs (20090808ubuntu1) maverick; urgency=low

  * Merge with Debian unstable. (LP: #618666) Remaining Ubuntu changes:
    - sources.list.deb: Debian -> Ubuntu archive apt sources.
    - Add debian/pango.modules and install them in debian/rules.
    - debian/rules:
      + Depend on lib32bz2-1.0 on amd64 instead of shipping it.
      + Depend on lib32v4l package
      + Automatically create all missing .so symlinks in /lib32
        and /usr/lib32 as the manual list of links was always out of sync and
        incomplete (LP: #277772, #309841).
      + Remove the automatically created libstdc++.so symlink, it's not needed.
        g++-4.3-multilib provides the right symlink (LP: #360870)
      + Add gvfs and symlinks for gio (LP: #369498)
      + Add symlink to libGL.so for Wine building (LP: #513554)
      + Compress packages with LZMA
    - debian/rules, debian/ia32-libs.conf: Add /lib32 and /usr/lib32 to ld
      search path.
    - fetch-and-build:
      + fetch-and-build: Add packages we want/need in Ubuntu. This also
        includes SDL and GTK, which are in separate source packages in Debian.
      + fetch-and-build: Do not die on source/binary version mismatch when
        defining $SOURCE_VER_MISMATCH. Useful right after opening a new Ubuntu
        release, when the archive is in heavy flux.
      + Dropped:
        > libartsc0 (which is now obsolete)
        > libxtrap6 (package seems to be gone from the archive)
      + Added:
        > libgsl0ldbl (LP: #130058)
        > libsmbios2 (dependency for libhal1)
        > libcelt0-0 (dependency for libjack0)
        > libmad0 (LP: #249794)
        > libvorbis0a (LP: #249794)
        > libvorbisfile3 (LP: #249794)
        > libwrap0 (LP: #290533)
  * debian/rules: Bump GCC 4.3 to 4.5 to match new lib32gcc1
  * fetch-and-build:
    - Added: gtk2-engines-qtcurve. Thanks to Craig Magina (LP: #574476)
    - Dropped: libesd-alsa0 (replaced by libesd0)
    - Bumped:
      + libdirectfb to 1.2-9 from 1.2-0
      + libao2 to libao4
      + odbcinsta1debian1 to odbcinsta1debian2

 -- Stefano Rivera <email address hidden> Mon, 16 Aug 2010 14:37:51 +0200

ia32-libs (20090808) unstable; urgency=low

  * Update packages.
  * Automatically generate copyright file. Closes: #540199, #505625.
  * Add libuuid1. Closes: #540489, #540339, #539746.
  * Bump shlibs version to 20090808. Closes: #540184.
  * B-D on dctrl-tools instead of grep-dctrl. Closes: #505631.
  * Add locale symlink. Thanks to Martin Pitt. Closes: #505627.
  * Use ROOT/SUFFIX consistently in debian/rules. Thanks to Martin Pitt.
    Closes: #505632.

 -- Mark Hymers <email address hidden> Sat, 08 Aug 2009 18:12:19 +0100

ia32-libs (20090804) unstable; urgency=low

  * Re-upload monolithic package.
  * Drop gdk-imlib1, gdk-imlib11, libcap1, libfusionsound-1.0-0, libxcb-xlib0
  * Bump libdirectfb to 1.2-0 from 1.0-0, libltdl3 to libltdl7
  * Replace libkrb53 with libkrb5support0, libkrb5-3, libk5crypto3,
    libgssapi-krb5-2

 -- Mark Hymers <email address hidden> Tue, 04 Aug 2009 21:35:25 +0100

Related branches

Changed in ia32-libs (Ubuntu):
assignee: nobody → Stefano Rivera (stefanor)
importance: Undecided → Wishlist
status: New → In Progress
description: updated
Stefano Rivera (stefanor) wrote :

Attaching debdiffs with "pkgs", "srcs", and "debian/copyright" removed. These are all automatically generated. Run fetch-and-build (on an i386) box to recreate.

Stefano Rivera (stefanor) wrote :
Stefano Rivera (stefanor) wrote :
description: updated
Changed in ia32-libs (Ubuntu):
assignee: Stefano Rivera (stefanor) → nobody
status: In Progress → New
Stefano Rivera (stefanor) wrote :

I'll put the source package I intend to upload somewhere public and link to this once the upload has completed...

StefanPotyra (sistpoty) wrote :

Fine with me, FFe granted, please go ahead.

Changed in ia32-libs (Ubuntu):
status: New → Confirmed
Stefano Rivera (stefanor) wrote :

Whoops, forgot to build the source package with the right DEB_VENDOR to auto-close...

This bug was fixed in the package ia32-libs - 20090808ubuntu1

---------------

  * Merge with Debian unstable. (LP: #618666) Remaining Ubuntu changes:
    - sources.list.deb: Debian -> Ubuntu archive apt sources.
    - Add debian/pango.modules and install them in debian/rules.
    - debian/rules:
      + Depend on lib32bz2-1.0 on amd64 instead of shipping it.
      + Depend on lib32v4l package
      + Automatically create all missing .so symlinks in /lib32
        and /usr/lib32 as the manual list of links was always out of sync and
        incomplete (LP: #277772, #309841).
      + Remove the automatically created libstdc++.so symlink, it's not needed.
        g++-4.3-multilib provides the right symlink (LP: #360870)
      + Add gvfs and symlinks for gio (LP: #369498)
      + Add symlink to libGL.so for Wine building (LP: #513554)
      + Compress packages with LZMA
    - debian/rules, debian/ia32-libs.conf: Add /lib32 and /usr/lib32 to ld
      search path.
    - fetch-and-build:
      + fetch-and-build: Add packages we want/need in Ubuntu. This also
        includes SDL and GTK, which are in separate source packages in Debian.
      + fetch-and-build: Do not die on source/binary version mismatch when
        defining $SOURCE_VER_MISMATCH. Useful right after opening a new Ubuntu
        release, when the archive is in heavy flux.
      + Dropped:
        > libartsc0 (which is now obsolete)
        > libxtrap6 (package seems to be gone from the archive)
      + Added:
        > libgsl0ldbl (LP: #130058)
        > libsmbios2 (dependency for libhal1)
        > libcelt0-0 (dependency for libjack0)
        > libmad0 (LP: #249794)
        > libvorbis0a (LP: #249794)
        > libvorbisfile3 (LP: #249794)
        > libwrap0 (LP: #290533)
  * debian/control: Don't Conflict/Replace lib32bz2-1.0, as we depend on it.
  * debian/rules: Bump GCC 4.3 to 4.5 to match new lib32gcc1
  * fetch-and-build:
    - Added: gtk2-engines-qtcurve. Thanks to Craig Magina (LP: #574476)
    - Dropped: libesd-alsa0 (replaced by libesd0)
    - Bumped:
      + libdirectfb to 1.2-9 from 1.2-0
      + libao2 to libao4
      + odbcinsta1debian1 to odbcinsta1debian2
 -- Stefano Rivera <email address hidden> Mon, 16 Aug 2010 15:36:51 -0000

Changed in ia32-libs (Ubuntu):
status: Confirmed → Fix Released
Joshua Kugler (jkugler) wrote :

Could this be back-ported to Lucid?

Stefano Rivera (stefanor) wrote :

> Could this be back-ported to Lucid?

If you are asking because of libstdc++5, we need LP: #600321 to be approved first.

Graham Inggs (ginggs) wrote :

Bump, LP: #600321 was approved some time ago.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers